
Ryzom - Feature # 981

Status: Closed Priority: Normal
Author: kervala Category: NeL: General
Created: 06/12/2010 Assignee: kervala
Updated: 07/15/2010 Due date:
Subject: Create createWindow and destroyWindow private methods in OpenGL driver
Description

createWindow should only create the window with the requested size.

destroyWindow should destroy the window (and delete all stuff related to window = DC, GL context, etc... if they are initialized)

(other new private methods will need to be created later)

History
#1 - 06/12/2010 10:27 pm - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r346.

#2 - 06/12/2010 10:28 pm - kervala
- Target version set to Version 0.8.0

#3 - 06/12/2010 10:29 pm - kervala

I also added unInit() which is the inverse method of init :)

unInit is called only once when driver is released().

#4 - 06/12/2010 11:03 pm - kervala

Applied in changeset r347.

#5 - 06/13/2010 06:03 pm - kervala

Applied in changeset r355.

#6 - 07/15/2010 04:38 pm - kervala
- Status changed from Resolved to Closed
